Ogre::D3D11Device Class Reference

`#include <OgreD3D11Device.h>`

List of all members.

## Classes

struct | ThreadInfo

## Public Types

enum | eExceptionsErrorLevel { D3D_NO_EXCEPTION, D3D_CORRUPTION, D3D_ERROR, D3D_WARNING, D3D_INFO }

## Public Member Functions

| D3D11Device (ID3D11Device *device)
| ~D3D11Device ()
ID3D11DeviceContext * | GetImmediateContext ()
ID3D11Device * | operator-> () const
const void | clearStoredErrorMessages () const
ID3D11Device * | operator= (ID3D11Device *device)
const bool | isNull ()
const String | getErrorDescription (const HRESULT hr=NO_ERROR) const
const bool | isError () const
const bool | _getErrorsFromQueue () const
void | release ()
ID3D11Device * | get ()

## Static Public Member Functions

static void | setExceptionsErrorLevel (const eExceptionsErrorLevel exceptionsErrorLevel)
static const eExceptionsErrorLevel | getExceptionsErrorLevel ()

## Static Public Attributes

static eExceptionsErrorLevel | mExceptionsErrorLevel

## Private Member Functions

| D3D11Device ()

## Private Attributes

ID3D11Device * | mD3D11Device
ID3D11DeviceContext * | mImmediateContext
ID3D11InfoQueue * | mInfoQueue

## Detailed Description

Definition at line 36 of file OgreD3D11Device.h.

## Member Enumeration Documentation

enum Ogre::D3D11Device::eExceptionsErrorLevel

Enumerator:

  D3D_NO_EXCEPTION |
  D3D_CORRUPTION |
  D3D_ERROR |
  D3D_WARNING |
  D3D_INFO |

Definition at line 107 of file OgreD3D11Device.h.

## Constructor & Destructor Documentation

Ogre::D3D11Device::D3D11Device | ( |  | ) | `[private]`

Ogre::D3D11Device::D3D11Device | ( | ID3D11Device * | device | ) |

Ogre::D3D11Device::~D3D11Device | ( |  | ) |

## Member Function Documentation

const bool Ogre::D3D11Device::_getErrorsFromQueue | ( |  | ) | const

Referenced by isError().

const void Ogre::D3D11Device::clearStoredErrorMessages | ( |  | ) | const

Referenced by operator->().

ID3D11Device* Ogre::D3D11Device::get | ( |  | ) |

const String Ogre::D3D11Device::getErrorDescription | ( | const HRESULT | hr = `NO_ERROR` | ) | const

static const eExceptionsErrorLevel Ogre::D3D11Device::getExceptionsErrorLevel | ( |  | ) | `[static]`

ID3D11DeviceContext* Ogre::D3D11Device::GetImmediateContext | ( |  | ) |

Definition at line 72 of file OgreD3D11Device.h.

References mImmediateContext.

const bool Ogre::D3D11Device::isError | ( |  | ) | const

Definition at line 93 of file OgreD3D11Device.h.

References _getErrorsFromQueue(), D3D_NO_EXCEPTION, and mExceptionsErrorLevel.

const bool Ogre::D3D11Device::isNull | ( |  | ) |

ID3D11Device* Ogre::D3D11Device::operator-> | ( |  | ) | const

Definition at line 77 of file OgreD3D11Device.h.

References clearStoredErrorMessages(), D3D_NO_EXCEPTION, mD3D11Device, and mExceptionsErrorLevel.

ID3D11Device* Ogre::D3D11Device::operator= | ( | ID3D11Device * | device | ) |

void Ogre::D3D11Device::release | ( |  | ) |

static void Ogre::D3D11Device::setExceptionsErrorLevel | ( | const eExceptionsErrorLevel | exceptionsErrorLevel | ) | `[static]`

## Member Data Documentation

ID3D11Device* Ogre::D3D11Device::mD3D11Device`[private]`

Definition at line 39 of file OgreD3D11Device.h.

Referenced by operator->().

eExceptionsErrorLevel Ogre::D3D11Device::mExceptionsErrorLevel`[static]`

Definition at line 116 of file OgreD3D11Device.h.

Referenced by isError(), and operator->().

ID3D11DeviceContext* Ogre::D3D11Device::mImmediateContext`[private]`

Definition at line 40 of file OgreD3D11Device.h.

Referenced by GetImmediateContext().

ID3D11InfoQueue* Ogre::D3D11Device::mInfoQueue`[private]`

Definition at line 41 of file OgreD3D11Device.h.

The documentation for this class was generated from the following file:

- OgreD3D11Device.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:45